## fputc

The fputc funciton puts a character to the file.

    int fputc (
      int Chr,          /* A character to put */
      FIL* FileObject   /* File object */
    );

#### Parameters

Chr
  A character to be put.
FileObject
  Pointer to the open file object structuer.

#### Return Values

When the character was written successfuly, the function returns the character. When the function failed due to disk full or any error, an `EOF` will be returned.

#### Description

The fputc() is a wrapper function of f_write(). This function is available when read-write configuration and `_USE_STRFUNC` is 1 or 2. When it is set 2, a `'\n'` is extended to `"\r\n"`.

#### Reference

`f_open, fputs, fprintf, fgets, f_close, FIL`

Return